org.apache.storm.generated

## Class SpecificAggregateStats

- java.lang.Object
- - org.apache.storm.thrift.TUnion<SpecificAggregateStats,SpecificAggregateStats._Fields>
  - - org.apache.storm.generated.SpecificAggregateStats

- All Implemented Interfaces:
    Serializable, Comparable<SpecificAggregateStats>, org.apache.storm.thrift.TBase<SpecificAggregateStats,SpecificAggregateStats._Fields>, org.apache.storm.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.13.0)")
      public class SpecificAggregateStats
      extends org.apache.storm.thrift.TUnion<SpecificAggregateStats,SpecificAggregateStats._Fields>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SpecificAggregateStats._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map<SpecificAggregateStats._Fields,org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap`

    - ### Fields inherited from class org.apache.storm.thrift.TUnion

      `setField_, value_`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpecificAggregateStats()`
    `SpecificAggregateStats(SpecificAggregateStats._Fields setField, Object value)`
    `SpecificAggregateStats(SpecificAggregateStats other)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SpecificAggregateStats` | `bolt(BoltAggregateStats value)`
    `protected void` | `checkType(SpecificAggregateStats._Fields setField, Object value)`
    `int` | `compareTo(SpecificAggregateStats other)`
    `SpecificAggregateStats` | `deepCopy()`
    `protected SpecificAggregateStats._Fields` | `enumForId(short id)`
    `boolean` | `equals(Object other)`
    `boolean` | `equals(SpecificAggregateStats other)`
    `SpecificAggregateStats._Fields` | `fieldForId(int fieldId)`
    `BoltAggregateStats` | `get_bolt()`
    `SpoutAggregateStats` | `get_spout()`
    `protected org.apache.storm.thrift.protocol.TField` | `getFieldDesc(SpecificAggregateStats._Fields setField)`
    `protected org.apache.storm.thrift.protocol.TStruct` | `getStructDesc()`
    `int` | `hashCode()`
    `boolean` | `is_set_bolt()`
    `boolean` | `is_set_spout()`
    `void` | `set_bolt(BoltAggregateStats value)`
    `void` | `set_spout(SpoutAggregateStats value)`
    `static SpecificAggregateStats` | `spout(SpoutAggregateStats value)`
    `protected Object` | `standardSchemeReadValue(org.apache.storm.thrift.protocol.TProtocol iprot, org.apache.storm.thrift.protocol.TField field)`
    `protected void` | `standardSchemeWriteValue(org.apache.storm.thrift.protocol.TProtocol oprot)`
    `protected Object` | `tupleSchemeReadValue(org.apache.storm.thrift.protocol.TProtocol iprot, short fieldID)`
    `protected void` | `tupleSchemeWriteValue(org.apache.storm.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class org.apache.storm.thrift.TUnion

      `clear, getFieldValue, getFieldValue, getFieldValue, getSetField, isSet, isSet, isSet, read, setFieldValue, setFieldValue, toString, write`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<SpecificAggregateStats._Fields,org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### SpecificAggregateStats

          public SpecificAggregateStats()

    - #### SpecificAggregateStats

          public SpecificAggregateStats(SpecificAggregateStats._Fields setField,
                                        Object value)

    - #### SpecificAggregateStats

          public SpecificAggregateStats(SpecificAggregateStats other)

  - ### Method Detail

    - #### deepCopy

          public SpecificAggregateStats deepCopy()

    - #### bolt

          public static SpecificAggregateStats bolt(BoltAggregateStats value)

    - #### spout

          public static SpecificAggregateStats spout(SpoutAggregateStats value)

    - #### checkType

          protected void checkType(SpecificAggregateStats._Fields setField,
                                   Object value)
                            throws ClassCastException

      Specified by:
        `checkType` in class `org.apache.storm.thrift.TUnion<SpecificAggregateStats,SpecificAggregateStats._Fields>`
      Throws:
        `ClassCastException`

    - #### standardSchemeReadValue

          protected Object standardSchemeReadValue(org.apache.storm.thrift.protocol.TProtocol iprot,
                                                   org.apache.storm.thrift.protocol.TField field)
                                            throws org.apache.storm.thrift.TException

      Specified by:
        `standardSchemeReadValue` in class `org.apache.storm.thrift.TUnion<SpecificAggregateStats,SpecificAggregateStats._Fields>`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### standardSchemeWriteValue

          protected void standardSchemeWriteValue(org.apache.storm.thrift.protocol.TProtocol oprot)
                                           throws org.apache.storm.thrift.TException

      Specified by:
        `standardSchemeWriteValue` in class `org.apache.storm.thrift.TUnion<SpecificAggregateStats,SpecificAggregateStats._Fields>`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### tupleSchemeReadValue

          protected Object tupleSchemeReadValue(org.apache.storm.thrift.protocol.TProtocol iprot,
                                                short fieldID)
                                         throws org.apache.storm.thrift.TException

      Specified by:
        `tupleSchemeReadValue` in class `org.apache.storm.thrift.TUnion<SpecificAggregateStats,SpecificAggregateStats._Fields>`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### tupleSchemeWriteValue

          protected void tupleSchemeWriteValue(org.apache.storm.thrift.protocol.TProtocol oprot)
                                        throws org.apache.storm.thrift.TException

      Specified by:
        `tupleSchemeWriteValue` in class `org.apache.storm.thrift.TUnion<SpecificAggregateStats,SpecificAggregateStats._Fields>`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### getFieldDesc

          protected org.apache.storm.thrift.protocol.TField getFieldDesc(SpecificAggregateStats._Fields setField)

      Specified by:
        `getFieldDesc` in class `org.apache.storm.thrift.TUnion<SpecificAggregateStats,SpecificAggregateStats._Fields>`

    - #### getStructDesc

          protected org.apache.storm.thrift.protocol.TStruct getStructDesc()

      Specified by:
        `getStructDesc` in class `org.apache.storm.thrift.TUnion<SpecificAggregateStats,SpecificAggregateStats._Fields>`

    - #### enumForId

          protected SpecificAggregateStats._Fields enumForId(short id)

      Specified by:
        `enumForId` in class `org.apache.storm.thrift.TUnion<SpecificAggregateStats,SpecificAggregateStats._Fields>`

    - #### fieldForId

          public SpecificAggregateStats._Fields fieldForId(int fieldId)

    - #### get_bolt

          public BoltAggregateStats get_bolt()

    - #### set_bolt

          public void set_bolt(BoltAggregateStats value)

    - #### get_spout

          public SpoutAggregateStats get_spout()

    - #### set_spout

          public void set_spout(SpoutAggregateStats value)

    - #### is_set_bolt

          public boolean is_set_bolt()

    - #### is_set_spout

          public boolean is_set_spout()

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals(SpecificAggregateStats other)

    - #### compareTo

          public int compareTo(SpecificAggregateStats other)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2021 The Apache Software Foundation. All rights reserved.